_tanksRemaining = 100
function _countTanks()
    timer.scheduleFunction(_countTanks, nil, timer.getTime() + 2)
    _numberOfTanks = 0
    for i = 1,18 do
        _tankGroup = Group.getByName("Tanks" .. i)
        _numberOfTanks = _numberOfTanks + _tankGroup:getSize()
    end
    trigger.action.setUserFlag("99", trigger.misc.getUserFlag("99") + _tanksRemaining - _numberOfTanks) -- flag 99 is used to store the current score
    _tanksRemaining = _numberOfTanks
end

_remainingObjectives = missionCommands.addSubMenu("Remaining Objectives", nil)
    _remainingObjectivesSubmenu = {}
    _remainingObjectivesSubmenu[1] = missionCommands.addCommand("Tanks (1pt each, click to count)", _remainingObjectives, function() trigger.action.outText("There are " .. _tanksRemaining .. " out of 100 tanks remaining.", 5) end, nil)
    _remainingObjectivesSubmenu[2] = missionCommands.addCommand("Turret Bldg. (10pts)", _remainingObjectives, function() trigger.action.outText("The Turret Integration building is at WP8", 5) end, nil)
    _remainingObjectivesSubmenu[3] = missionCommands.addCommand("Electrical Bldgs. (20pts)", _remainingObjectives, function() trigger.action.outText("The two Electrical Integration buildings are at WP10", 5) end, nil)
    _remainingObjectivesSubmenu[4] = missionCommands.addCommand("Final Assembly Bldgs. (20pts)", _remainingObjectives, function() trigger.action.outText("The two Final Assembly buildings are at WP9", 5) end, nil)
    _remainingObjectivesSubmenu[5] = missionCommands.addCommand("Ship & Rec. Bldg. (10pts)", _remainingObjectives, function() trigger.action.outText("The Shipping & Receiving building is at WP12", 5) end, nil)
    _remainingObjectivesSubmenu[6] = missionCommands.addCommand("Inventory Warehouse (10pts)", _remainingObjectives, function() trigger.action.outText("The Inventory Warehouse is at WP11", 5) end, nil)
    _remainingObjectivesSubmenu[7] = missionCommands.addCommand("Kalininsky Bridge (10pts)", _remainingObjectives, function() trigger.action.outText("The Kalininsky Bridge is at WP13", 5) end, nil)
    _remainingObjectivesSubmenu[8] = missionCommands.addCommand("Rail Bridge East (10pts)", _remainingObjectives, function() trigger.action.outText("The eastern rail bridge is at WP14", 5) end, nil)
    _remainingObjectivesSubmenu[9] = missionCommands.addCommand("Rail Bridge West (10pts)", _remainingObjectives, function() trigger.action.outText("The western rail bridge is at WP15", 5) end, nil)

_missionControl = missionCommands.addSubMenu("Mission Control", nil)
    _missionControlSubmenu = {}
    _missionControlSubmenu[1] = missionCommands.addCommand("Current score", _missionControl, function() trigger.action.outText("Current score is " .. trigger.misc.getUserFlag("99") .. " out of 150 required to complete the mission.", 5) end, nil)
    _missionControlSubmenu[2] = missionCommands.addCommand("Push tankers north into Russia", _missionControl, function() trigger.action.setUserFlag(50, true) end, nil)
    _missionControlSubmenu[3] = missionCommands.addCommand("Retreat tankers south into Georgia", _missionControl, function() trigger.action.setUserFlag(51, true) end, nil)
    

timer.scheduleFunction(_countTanks, nil, timer.getTime() + 2)